Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.java.ao.schema.ddl
Class DDLTable

    java.lang.Object
      net.java.ao.schema.ddl.DDLTable

    public class DDLTable

extends Object

Database-agnostic representation of a table within the schema. A table logically contains fields, keys and indexes (as represented by this class).

Author:
  Daniel Spiewak

Constructor Summary
`DDLTable()`

Method Summary
`boolean` | `equals(Object obj)`
`DDLField[]` | `getFields()`
`DDLForeignKey[]` | `getForeignKeys()`
`DDLIndex[]` | `getIndexes()`
`String` | `getName()`
`int` | `hashCode()`
`void` | `setFields(DDLField[] fields)`
`void` | `setForeignKeys(DDLForeignKey[] foreignKeys)`
`void` | `setIndexes(DDLIndex[] indexes)`
`void` | `setName(String name)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DDLTable

    public DDLTable()

Method Detail

### getName

    public String getName()

### setName

    public void setName(String name)

### getFields

    public DDLField[] getFields()

### setFields

    public void setFields(DDLField[] fields)

### getForeignKeys

    public DDLForeignKey[] getForeignKeys()

### setForeignKeys

    public void setForeignKeys(DDLForeignKey[] foreignKeys)

### getIndexes

    public DDLIndex[] getIndexes()

### setIndexes

    public void setIndexes(DDLIndex[] indexes)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2011. All Rights Reserved.